
# For UPLOS

%define name		wallpaper-theme-uplos-bluepoint
%define sh_name     Bluepoint
%define version		1
%define release		%mkrel 2

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		UPLOS Default Wallpaper Theme
URL:			http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
Group:			Graphical desktop
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
Source2:		Bluepoint.xml
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:		noarch
Obsoletes:		wallpaper-theme-default
Provides:		wallpaper-theme-default = %version-%release

%description
%{summary}

%prep
%setup -q


%install
%__rm -rf %buildroot

#---- Support for KDE ------{
# This was based on kdeartwork4-wallpapers-legacy package
install -d -m 755 %buildroot%{_datadir}/wallpapers
install -d -m 755 %buildroot%{_datadir}/wallpapers/%{name}
cp -fr * %buildroot%{_datadir}/wallpapers/%{name}

mkdir -p %buildroot%{_datadir}/wallpapers/Default
ln -s %{_datadir}/wallpapers/%{name}/Default %buildroot/usr/share/wallpapers/Default/Default
ln -s %{_datadir}/wallpapers/%{name}/contents %buildroot%{_datadir}/wallpapers/Default/contents
#---- Support for KDE ------}


# Support for Mate ----------{
mkdir -p ${RPM_BUILD_ROOT}/usr/share/mate-background-properties/
install  -m 755 %{SOURCE2} ${RPM_BUILD_ROOT}/usr/share/mate-background-properties/%{sh_name}.xml
# Support for Mate ----------}


# Support for Xfce4
mkdir -p %buildroot%{_datadir}/backgrounds/xfce/
ln -s %{_datadir}/wallpapers/%{name}/contents/images/800x600.jpg %buildroot%{_datadir}/backgrounds/xfce/%{sh_name}_800x600.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1024x768.jpg ${RPM_BUILD_ROOT}%{_datadir}/backgrounds/xfce/%{sh_name}_1024x768.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1280x800.jpg ${RPM_BUILD_ROOT}%{_datadir}/backgrounds/xfce/%{sh_name}_1280x800.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1440x900.jpg ${RPM_BUILD_ROOT}%{_datadir}/backgrounds/xfce/%{sh_name}_1440x900.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1680x1050.jpg ${RPM_BUILD_ROOT}%{_datadir}/backgrounds/xfce/%{sh_name}_1680x1050.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1920x1080.jpg ${RPM_BUILD_ROOT}%{_datadir}/backgrounds/xfce/%{sh_name}_1920x1080.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1920x1200.jpg ${RPM_BUILD_ROOT}%{_datadir}/backgrounds/xfce/%{sh_name}_1920x1200.jpg


# Support for Lxde
mkdir -p ${RPM_BUILD_ROOT}/usr/share/lxde/wallpapers/
ln -s %{_datadir}/wallpapers/%{name}/contents/images/800x600.jpg ${RPM_BUILD_ROOT}/usr/share/lxde/wallpapers/%{sh_name}_800x600.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1024x768.jpg ${RPM_BUILD_ROOT}/usr/share/lxde/wallpapers/%{sh_name}_1024x768.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1280x800.jpg ${RPM_BUILD_ROOT}/usr/share/lxde/wallpapers/%{sh_name}_1280x800.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1440x900.jpg ${RPM_BUILD_ROOT}/usr/share/lxde/wallpapers/%{sh_name}_1440x900.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1680x1050.jpg ${RPM_BUILD_ROOT}/usr/share/lxde/wallpapers/%{sh_name}_1680x1050.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1920x1080.jpg ${RPM_BUILD_ROOT}/usr/share/lxde/wallpapers/%{sh_name}_1920x1080.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1920x1200.jpg ${RPM_BUILD_ROOT}/usr/share/lxde/wallpapers/%{sh_name}_1920x1200.jpg


# Support for Enlightenment
mkdir -p ${RPM_BUILD_ROOT}/usr/share/enlightenment/data/backgrounds/
ln -s %{_datadir}/wallpapers/%{name}/contents/images/800x600.jpg ${RPM_BUILD_ROOT}/usr/share/enlightenment/data/backgrounds/%{sh_name}_800x600.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1024x768.jpg ${RPM_BUILD_ROOT}/usr/share/enlightenment/data/backgrounds/%{sh_name}_1024x768.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1280x800.jpg ${RPM_BUILD_ROOT}/usr/share/enlightenment/data/backgrounds/%{sh_name}_1280x800.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1440x900.jpg ${RPM_BUILD_ROOT}/usr/share/enlightenment/data/backgrounds/%{sh_name}_1440x900.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1680x1050.jpg ${RPM_BUILD_ROOT}/usr/share/enlightenment/data/backgrounds/%{sh_name}_1680x1050.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1920x1080.jpg ${RPM_BUILD_ROOT}/usr/share/enlightenment/data/backgrounds/%{sh_name}_1920x1080.jpg
ln -s %{_datadir}/wallpapers/%{name}/contents/images/1920x1200.jpg ${RPM_BUILD_ROOT}/usr/share/enlightenment/data/backgrounds/%{sh_name}_1920x1200.jpg

%post
# update shared library cache
/sbin/ldconfig

#---- Support for KDE ------{
# clean KDE cache
rm -rf /var/tmp/kdecache-*/plasma-wallpapers
#---- Support for KDE ------}


%postun
# update shared library cache
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
/usr/share/backgrounds/xfce/*
/usr/share/enlightenment/data/backgrounds/*
/usr/share/lxde/wallpapers/*
/usr/share/mate-background-properties/Bluepoint.xml
/usr/share/wallpapers/Default/*
/usr/share/wallpapers/wallpaper-theme-uplos-bluepoint/*




%changelog
* Sat Sep 17 2016 tele <tele> 1-1pclos2016
- https://www.freedesktop.org/wiki/DesktopThemeSpec/
